Subject: SUMMARY: Readable DFT-Codes

From: "Gerald Loeffler" <[email-masked]>
Date: Tue, 30 Jan 1996 15:44:40 +0100

Hi!

Here is the summary of answers I got to my question about "readable" DFT-codes.

A very pronounced "Thank You" to
	Lutz Ackermann
	Renee Peloquin Mattie
	Konrad Hinsen
	Emil Proynov
	John Lohrenz
	Georg Schreckenbach
	Craig Taverner
for their contributions.

(Please don't take the lists of authors too literally; I certainly don't want
to insult anyone by not mentioning his/her name as a co-author...)

DeFT:	By St-Amant, Co-author of DeMon (see below). Available from
	ftp://www.ccl.net. This is the only code I personally had a look at,
	and it seems pretty clean to me, although it is hardly commented.
	Is said to be done from scratch by mainly one author, which is often
	an indication of consistency.
	A good bet, IMHO.

ACESII:	By Rodney J. Bartlett's group ([email-masked]). is basically ab
	initio, but has a DFT-part written by a team of scientists who are said
	to be good programmers.
	Don't know if source-code is available at all. The fact that the DFT
	is part of a larger package certainly makes things more difficult.

DeMon:	By Dennis Salahub ([email-masked]) and St-Amant.
	A MO-LCGTO DFT code developed over the last 5-6 years at Universite de
	Montreal.
	Other sources doubted its quality as far as software-engineering is
	concerned.

ADF:	[email-masked]. Is said to have been cleaned up over the last years so
	that it's pretty easy to read now.
	Others say, that it has parts that are badly written, although several
	people succeeded in understanding the code.

Craig Taverner ([email-masked]) rewrote (in C) the Herman Skillman
atomic hartree fock code, which he says is actually an early version of a
particular DFT approach.

Becke and Dickson wrote a DFT program at Queen's University in Canada, and
it was guessed that it might be quite consistent, although it may be that it is
not available to the public.

	Cheers,
	Gerald
--
Gerald Loeffler
PhD student in Theoretical Biochemistry

EMail: [email-masked]
Phone: +43 1 40480 612
Fax:   +43 1 4028525
SMail: University of Vienna
       Institute for Theoretical Chemistry
       Theoretical Biochemistry Group
       Waehringerstrasse 17/Parterre
       A-1090 Wien, Austria